Index: /MEMPHYS/HEAD/data/inputEventfile
===================================================================
--- /MEMPHYS/HEAD/data/inputEventfile	(revision 258)
+++ /MEMPHYS/HEAD/data/inputEventfile	(revision 258)
@@ -0,0 +1,144 @@
+ $ begin
+ $ nuance     1
+ $ vertex     -166.0    -279.2    -436.6  2.28845E+06
+ $ track       14        300.0000    0.00000    0.00000    1.00000 -1
+ $ track     2112        915.4158   -0.24057    0.90826    0.34234 -1
+ $ info 2  949000  0.0000E+00
+ $ track       13        200.5344   -0.81100    0.53150   -0.24451 -2
+ $ track     2212       1014.8815    0.31180   -0.06222    0.94811 -2
+ $ track       13        200.5344   -0.81100    0.53150   -0.24451  0
+ $ track     2212       1014.8815    0.31180   -0.06222    0.94811  0
+ $ end
+ $ begin
+ $ nuance     2
+ $ vertex      154.7    -303.6    -169.2  4.50011E+06
+ $ track       14        300.0000    0.00000    0.00000    1.00000 -1
+ $ track     2212        919.3251   -0.29333   -0.75748   -0.58325 -1
+ $ info 2  949000  0.0000E+00
+ $ track       14        250.5341   -0.77036   -0.60013    0.21538 -2
+ $ track     2212        968.7910    0.65022    0.23643    0.72202 -2
+ $ track       22          6.3200    0.98348    0.12859   -0.12742 -2
+ $ track       14        250.5341   -0.77036   -0.60013    0.21538  0
+ $ track     2212        948.7717    0.92826    0.03540   -0.37024  0
+ $ track       22          6.3200    0.98348    0.12859   -0.12742  0
+ $ end
+ $ begin
+ $ nuance     1
+ $ vertex     -166.0    -279.2    -436.6  2.28845E+06
+ $ track       14        300.0000    0.00000    0.00000    1.00000 -1
+ $ track     2112        915.4158   -0.24057    0.90826    0.34234 -1
+ $ info 2  949000  0.0000E+00
+ $ track       13        200.5344   -0.81100    0.53150   -0.24451 -2
+ $ track     2212       1014.8815    0.31180   -0.06222    0.94811 -2
+ $ track       13        200.5344   -0.81100    0.53150   -0.24451  0
+ $ track     2212       1014.8815    0.31180   -0.06222    0.94811  0
+ $ end
+ $ begin
+ $ nuance     2
+ $ vertex      154.7    -303.6    -169.2  4.50011E+06
+ $ track       14        300.0000    0.00000    0.00000    1.00000 -1
+ $ track     2212        919.3251   -0.29333   -0.75748   -0.58325 -1
+ $ info 2  949000  0.0000E+00
+ $ track       14        250.5341   -0.77036   -0.60013    0.21538 -2
+ $ track     2212        968.7910    0.65022    0.23643    0.72202 -2
+ $ track       22          6.3200    0.98348    0.12859   -0.12742 -2
+ $ track       14        250.5341   -0.77036   -0.60013    0.21538  0
+ $ track     2212        948.7717    0.92826    0.03540   -0.37024  0
+ $ track       22          6.3200    0.98348    0.12859   -0.12742  0
+ $ end
+ $ begin
+ $ nuance     1
+ $ vertex     -166.0    -279.2    -436.6  2.28845E+06
+ $ track       14        300.0000    0.00000    0.00000    1.00000 -1
+ $ track     2112        915.4158   -0.24057    0.90826    0.34234 -1
+ $ info 2  949000  0.0000E+00
+ $ track       13        200.5344   -0.81100    0.53150   -0.24451 -2
+ $ track     2212       1014.8815    0.31180   -0.06222    0.94811 -2
+ $ track       13        200.5344   -0.81100    0.53150   -0.24451  0
+ $ track     2212       1014.8815    0.31180   -0.06222    0.94811  0
+ $ end
+ $ begin
+ $ nuance     2
+ $ vertex      154.7    -303.6    -169.2  4.50011E+06
+ $ track       14        300.0000    0.00000    0.00000    1.00000 -1
+ $ track     2212        919.3251   -0.29333   -0.75748   -0.58325 -1
+ $ info 2  949000  0.0000E+00
+ $ track       14        250.5341   -0.77036   -0.60013    0.21538 -2
+ $ track     2212        968.7910    0.65022    0.23643    0.72202 -2
+ $ track       22          6.3200    0.98348    0.12859   -0.12742 -2
+ $ track       14        250.5341   -0.77036   -0.60013    0.21538  0
+ $ track     2212        948.7717    0.92826    0.03540   -0.37024  0
+ $ track       22          6.3200    0.98348    0.12859   -0.12742  0
+ $ end
+ $ begin
+ $ nuance     1
+ $ vertex     -166.0    -279.2    -436.6  2.28845E+06
+ $ track       14        300.0000    0.00000    0.00000    1.00000 -1
+ $ track     2112        915.4158   -0.24057    0.90826    0.34234 -1
+ $ info 2  949000  0.0000E+00
+ $ track       13        200.5344   -0.81100    0.53150   -0.24451 -2
+ $ track     2212       1014.8815    0.31180   -0.06222    0.94811 -2
+ $ track       13        200.5344   -0.81100    0.53150   -0.24451  0
+ $ track     2212       1014.8815    0.31180   -0.06222    0.94811  0
+ $ end
+ $ begin
+ $ nuance     2
+ $ vertex      154.7    -303.6    -169.2  4.50011E+06
+ $ track       14        300.0000    0.00000    0.00000    1.00000 -1
+ $ track     2212        919.3251   -0.29333   -0.75748   -0.58325 -1
+ $ info 2  949000  0.0000E+00
+ $ track       14        250.5341   -0.77036   -0.60013    0.21538 -2
+ $ track     2212        968.7910    0.65022    0.23643    0.72202 -2
+ $ track       22          6.3200    0.98348    0.12859   -0.12742 -2
+ $ track       14        250.5341   -0.77036   -0.60013    0.21538  0
+ $ track     2212        948.7717    0.92826    0.03540   -0.37024  0
+ $ track       22          6.3200    0.98348    0.12859   -0.12742  0
+ $ end
+ $ begin
+ $ nuance     1
+ $ vertex     -166.0    -279.2    -436.6  2.28845E+06
+ $ track       14        300.0000    0.00000    0.00000    1.00000 -1
+ $ track     2112        915.4158   -0.24057    0.90826    0.34234 -1
+ $ info 2  949000  0.0000E+00
+ $ track       13        200.5344   -0.81100    0.53150   -0.24451 -2
+ $ track     2212       1014.8815    0.31180   -0.06222    0.94811 -2
+ $ track       13        200.5344   -0.81100    0.53150   -0.24451  0
+ $ track     2212       1014.8815    0.31180   -0.06222    0.94811  0
+ $ end
+ $ begin
+ $ nuance     2
+ $ vertex      154.7    -303.6    -169.2  4.50011E+06
+ $ track       14        300.0000    0.00000    0.00000    1.00000 -1
+ $ track     2212        919.3251   -0.29333   -0.75748   -0.58325 -1
+ $ info 2  949000  0.0000E+00
+ $ track       14        250.5341   -0.77036   -0.60013    0.21538 -2
+ $ track     2212        968.7910    0.65022    0.23643    0.72202 -2
+ $ track       22          6.3200    0.98348    0.12859   -0.12742 -2
+ $ track       14        250.5341   -0.77036   -0.60013    0.21538  0
+ $ track     2212        948.7717    0.92826    0.03540   -0.37024  0
+ $ track       22          6.3200    0.98348    0.12859   -0.12742  0
+ $ end
+ $ begin
+ $ nuance     1
+ $ vertex     -166.0    -279.2    -436.6  2.28845E+06
+ $ track       14        300.0000    0.00000    0.00000    1.00000 -1
+ $ track     2112        915.4158   -0.24057    0.90826    0.34234 -1
+ $ info 2  949000  0.0000E+00
+ $ track       13        200.5344   -0.81100    0.53150   -0.24451 -2
+ $ track     2212       1014.8815    0.31180   -0.06222    0.94811 -2
+ $ track       13        200.5344   -0.81100    0.53150   -0.24451  0
+ $ track     2212       1014.8815    0.31180   -0.06222    0.94811  0
+ $ end
+ $ begin
+ $ nuance     2
+ $ vertex      154.7    -303.6    -169.2  4.50011E+06
+ $ track       14        300.0000    0.00000    0.00000    1.00000 -1
+ $ track     2212        919.3251   -0.29333   -0.75748   -0.58325 -1
+ $ info 2  949000  0.0000E+00
+ $ track       14        250.5341   -0.77036   -0.60013    0.21538 -2
+ $ track     2212        968.7910    0.65022    0.23643    0.72202 -2
+ $ track       22          6.3200    0.98348    0.12859   -0.12742 -2
+ $ track       14        250.5341   -0.77036   -0.60013    0.21538  0
+ $ track     2212        948.7717    0.92826    0.03540   -0.37024  0
+ $ track       22          6.3200    0.98348    0.12859   -0.12742  0
+ $ end