Index: /MEMPHYS/HEAD/doc/MEMPHYS.html
===================================================================
--- /MEMPHYS/HEAD/doc/MEMPHYS.html	(revision 273)
+++ /MEMPHYS/HEAD/doc/MEMPHYS.html	(revision 274)
@@ -1,7 +1,10 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html lang="fr-fr"><head>
-
-
-
+<html lang="fr-fr">
+<head>
+
+
+
+
+  
   
   
@@ -11,12 +14,16 @@
 
 
-  
-  
-  
-  
-  
-  
-  
-  <title>MEMPHYS Software</title><meta content="J-E Campagne " name="author"></head>
+
+  
+  
+  
+  
+  
+  
+  
+  
+  <title>MEMPHYS Software</title>
+  <meta content="J-E Campagne " name="author">
+</head>
 
 <body>
@@ -24,9 +31,12 @@
 
 
+
 <h1 style="text-align: center; color: rgb(0, 0, 153);"><a class="mozTocH1" name="mozTocId909942"></a>Install and run MEMPHYS software&nbsp;</h1>
 
 
 
+
 <h1 style="text-align: center; color: rgb(0, 0, 153);">and the associate toolkits</h1>
+
 
 
@@ -37,14 +47,19 @@
 
 
+
 <ul id="mozToc">
 
 
+
 <!--mozToc h2 2 h3 3 h4 4 h5 5 h6 6--><li><a href="#mozTocId102030">Table of Contents</a>
     
     
+    
     <ul>
 
 
+
       <li><a href="#mozTocId791206">What the user have to know?</a></li>
+
 
 
@@ -52,13 +67,18 @@
         
         
+        
         <ul>
 
 
+
           <li><a href="#mozTocId129835">The OpenScientist toolkit</a></li>
 
 
+
           <li><a href="#mozTocId109209">The MEMPHYS package</a></li>
 
 
+
+        
         
         
@@ -66,5 +86,7 @@
 
 
+
       </li>
+
 
 
@@ -72,13 +94,18 @@
         
         
+        
         <ul>
 
 
+
           <li><a href="#mozTocId327975">Interactive session</a></li>
 
 
+
           <li><a href="#mozTocId967005">Batch mode</a></li>
 
 
+
+        
         
         
@@ -86,7 +113,10 @@
 
 
+
       </li>
 
 
+
+    
     
     
@@ -94,24 +124,31 @@
 
 
+
   </li>
 
 
+
 </ul>
 
 
 
+
 <h2 style="color: rgb(51, 51, 255);"><a class="mozTocH2" name="mozTocId791206"></a>What the user have to know?</h2>
 
 
 
+
 The user is supposed to know how to practice more or less: <br>
 
 
 
+
 <ul>
 
 
 
-  <li>the Linux OS or the Mac ??? OS <span style="color: rgb(255, 0, 0);">(Ceci est un changement de JEC)</span>,</li>
+
+  <li>the Linux OS or the MacOSX <span style="color: rgb(255, 0, 0);">(Ceci est un changement de JEC)</span>,</li>
+
 
 
@@ -121,13 +158,17 @@
 
 
+
   <li>the <a href="http://svnbook.red-bean.com/en/1.0/index.html">SVN</a> the code version repository management tool (this is an alternative to the more usual CVS tool),</li>
 
 
 
+
   <li>the <a href="http://www.cs.uregina.ca/Dept/manuals/Manuals/7Language/7_18C++/c++.htm">C++</a> language,</li>
 
 
 
+
   <li>the <a href="http://geant4.web.cern.ch/geant4/">Geant 4</a> simulation tool,&nbsp;</li>
+
 
 
@@ -139,13 +180,17 @@
 
 
+
   <li>the <a href="http://root.cern.ch/">ROOT</a> toolkit if one wants to make analysis/ploting using this package.</li>
 
 
 
+
 </ul>
 
 
 
+
 <h2 style="color: rgb(51, 51, 255);"><a class="mozTocH2" name="mozTocId474404"></a>Installation of the Plug-ins and the MEMPHYS package&nbsp;</h2>
+
 
 
@@ -160,5 +205,7 @@
 
 
+
 <h3><a class="mozTocH3" name="mozTocId129835"></a>The OpenScientist toolkit</h3>
+
 
 
@@ -171,37 +218,47 @@
 
 
+
 <br>
 
 
 
+
 <a name="OpenScientistInstall"></a>So, the user proceeds as followed (UNIX):<br>
 
 
 
+
 <ol>
 
 
 
+
   <li>download the zip file</li>
 
 
 
+
   <li>unzip on a <span style="font-style: italic;">kits</span> area (see the <a href="#CMTIandKits">Kits &amp; CMT hierarchy</a>) that may be different of his/her <span style="font-style: italic;">work</span> area</li>
 
 
 
+
   <li>cd OpenScientist/v16r0</li>
 
 
 
+
   <li>chmod &nbsp;a+x install</li>
 
 
 
+
   <li>./install</li>
 
 
 
+
 </ol>
+
 
 
@@ -213,9 +270,12 @@
 
 
+
 &nbsp;csh&gt; source &lt;path&gt;/OpenScientist/v16r0/aida-setup.csh<br>
 
 
 
+
 (&nbsp; sh&gt; . &lt;path&gt;/OpenScientist/v16r0/aida-setup.sh )<br>
+
 
 
@@ -226,29 +286,37 @@
 
 
+
   <li>UNIX&gt;&nbsp; aida-config</li>
 
 
 
+
   <li>UNIX&gt; onxlab</li>
 
 
 
+
 </ul>
 
 
 
+
 The user may see the famous gaussian distribution and the associate fit....<br>
 
 
 
+
 <div style="text-align: center;"><img style="width: 858px; height: 734px;" alt="Image" src="Images/onxlab.jpg"><br>
 
 
 
+
 </div>
 
 
 
+
 <br>
+
 
 
@@ -260,13 +328,17 @@
 
 
+
 <ul>
 
 
 
+
   <li>&nbsp;UNIX&gt; G4Simple_session</li>
 
 
 
+
   <li>In the Geant 4 menu, starts with "Init" and then "Run", some tracks will appear when the number of events are validated</li>
+
 
 
@@ -278,36 +350,45 @@
 
 
+
 </ul>
 
 
 
+
 <div style="text-align: center;"><img style="width: 858px; height: 734px;" alt="Image" src="Images/G4Simple.jpg"><br>
 
 
 
+
 </div>
 
 
 
+
 <h3><a class="mozTocH3" name="mozTocId109209"></a>The MEMPHYS package</h3>
 
 
 
+
 To install the MEMPHYS package, one may adopt a directory hierarchy as followed (UNIX):<br>
 
 
 
+
 <ul>
 
 
 
+
   <li>define at the&nbsp;login phase the <a name="CMTPROJECTPATH"></a>CMTPROJECTPATH environment variable:&nbsp;</li>
 
 
 
+
 </ul>
 
 
 
+
 <table style="width: 100%;" border="1" cellpadding="2" cellspacing="2">
 
@@ -315,9 +396,12 @@
 
 
+
   <tbody>
 
 
 
-    <tr>
+
+    <tr>
+
 
 
@@ -327,9 +411,12 @@
 
 
-    </tr>
-
-
-
-
+
+    </tr>
+
+
+
+
+
+  
   
   
@@ -340,16 +427,21 @@
 
 
+
 <ul>
 
 
 
+
   <li><a name="CMTIandKits"></a>create if not already done the <span style="color: rgb(255, 0, 0);">&lt;common-area-path&gt;/kits</span> area for the OpenScientist toolkit as described <a href="#OpenScientistInstall">above</a>, but also the ROOT toolkit, CMT tool ...</li>
 
 
 
+
   <li>create the <span style="color: rgb(255, 0, 0);">&lt;common-area-path&gt;/CMTI/ <span style="color: rgb(0, 0, 0);">area</span></span>:&nbsp;</li>
 
 
 
+
+  
   
   
@@ -359,8 +451,11 @@
 
 
+
     <li>create a <span style="color: rgb(255, 0, 0);"><a name="cmtproject.cmt-1"></a>/cmt/project.cmt</span> file with the simple ligne</li>
 
 
 
+
+  
   
   
@@ -370,8 +465,10 @@
 
 
+
 </ul>
 
 
 
+
 <table style="background-color: rgb(192, 192, 192); width: 100%;" border="1" cellpadding="2" cellspacing="2">
 
@@ -379,9 +476,12 @@
 
 
+
   <tbody>
 
 
 
-    <tr>
+
+    <tr>
+
 
 
@@ -391,9 +491,12 @@
 
 
-    </tr>
-
-
-
-
+
+    </tr>
+
+
+
+
+
+  
   
   
@@ -404,8 +507,11 @@
 
 
+
 <ul>
 
 
 
+
+  
   
   
@@ -415,8 +521,11 @@
 
 
+
     <li><a name="to_install_the_OpenScientist-CMT_"></a>to install the OpenScientist-CMT&nbsp; Interfaces for OpenScientist toolkit and the ROOT toolkit</li>
 
 
 
+
+  
   
   
@@ -426,4 +535,6 @@
 
 
+
+  
   
   
@@ -433,4 +544,6 @@
 
 
+
+    
     
     
@@ -440,8 +553,11 @@
 
 
+
       <li>download the Interfaces here (<span style="color: rgb(255, 0, 0); font-weight: bold;">TBD</span>)&nbsp;</li>
 
 
 
+
+    
     
     
@@ -451,4 +567,6 @@
 
 
+
+    
     
     
@@ -458,8 +576,11 @@
 
 
+
       <li>edit the <span style="color: rgb(255, 0, 0);">OpenScientist/v16r0/cmt/requirement</span> file and change the OSC_home macro according to the local implementation as example</li>
 
 
 
+
+    
     
     
@@ -469,4 +590,6 @@
 
 
+
+  
   
   
@@ -476,17 +599,22 @@
 
 
+
 </ul>
 
 
 
+
 <table style="text-align: left; width: 100%;" border="1" cellpadding="2" cellspacing="2">
 
 
 
+
   <tbody>
 
 
 
-    <tr>
+
+    <tr>
+
 
 
@@ -496,12 +624,16 @@
 
 
+
 macro OSC_home "/home/campagne/kits/OpenScientist/v16r0/"</td>
 
 
 
-    </tr>
-
-
-
+
+    </tr>
+
+
+
+
+  
   
   
@@ -512,8 +644,11 @@
 
 
+
 <ul>
 
 
 
+
+  
   
   
@@ -523,4 +658,6 @@
 
 
+
+    
     
     
@@ -530,8 +667,11 @@
 
 
+
       <li>edit in the same spirit, edit the <span style="color: rgb(255, 0, 0);">ROOT/&lt;version&gt;/cmt/requiement</span> file to change the ROOT_native_version and the ROOT_home macros, as for instance</li>
 
 
 
+
+    
     
     
@@ -541,4 +681,6 @@
 
 
+
+  
   
   
@@ -548,17 +690,22 @@
 
 
+
 </ul>
 
 
 
+
 <table style="text-align: left; width: 100%;" border="1" cellpadding="2" cellspacing="2">
 
 
 
+
   <tbody>
 
 
 
-    <tr>
+
+    <tr>
+
 
 
@@ -568,20 +715,26 @@
 
 
+
 macro ROOT_native_version "4.03.02"<br>
 
 
 
+
       <br>
 
 
 
+
 macro ROOT_home "/home/campagne/kits/root-${ROOT_native_version}" </td>
 
 
 
-    </tr>
-
-
-
+
+    </tr>
+
+
+
+
+  
   
   
@@ -592,12 +745,16 @@
 
 
+
 <ul>
 
 
 
+
   <li>create a <span style="color: rgb(255, 0, 0);">&lt;personal-area&gt;/OSArea</span> area :</li>
 
 
 
+
+  
   
   
@@ -607,8 +764,11 @@
 
 
+
     <li>create a <a name="cmtproject.cmt-2"></a><span style="color: rgb(255, 0, 0);">/cmt/project.cmt</span> file with the simple code making the bridge between the MEMPHYS-like package and the common kits used to develop and use them:</li>
 
 
 
+
+  
   
   
@@ -618,17 +778,22 @@
 
 
+
 </ul>
 
 
 
+
 <table style="text-align: left; width: 100%;" border="1" cellpadding="2" cellspacing="2">
 
 
 
+
   <tbody>
 
 
 
-    <tr>
+
+    <tr>
+
 
 
@@ -638,20 +803,26 @@
 
 
+
       <br>
 
 
 
+
 use OpenScientist v16r0<br>
 
 
 
+
 use CMTI</td>
 
 
 
-    </tr>
-
-
-
+
+    </tr>
+
+
+
+
+  
   
   
@@ -662,8 +833,11 @@
 
 
+
 <ul>
 
 
 
+
+  
   
   
@@ -673,8 +847,11 @@
 
 
+
     <li>download the MEMPHYS package using&nbsp;</li>
 
 
 
+
+    
     
     
@@ -684,12 +861,16 @@
 
 
+
       <li>either a tarball at the following link: <span style="font-weight: bold; color: rgb(255, 0, 0);">TBD if possible</span></li>
 
 
 
+
       <li>either the SVN software:</li>
 
 
 
+
+      
       
       
@@ -699,8 +880,11 @@
 
 
+
         <li>define the environment variable:</li>
 
 
 
+
+      
       
       
@@ -710,4 +894,6 @@
 
 
+
+    
     
     
@@ -717,4 +903,6 @@
 
 
+
+  
   
   
@@ -724,17 +912,22 @@
 
 
+
 </ul>
 
 
 
+
 <table style="text-align: left; width: 100%;" border="1" cellpadding="2" cellspacing="2">
 
 
 
+
   <tbody>
 
 
 
-    <tr>
+
+    <tr>
+
 
 
@@ -744,8 +937,11 @@
 
 
-    </tr>
-
-
-
+
+    </tr>
+
+
+
+
+  
   
   
@@ -756,8 +952,11 @@
 
 
+
 <ul>
 
 
 
+
+  
   
   
@@ -767,4 +966,6 @@
 
 
+
+    
     
     
@@ -774,8 +975,11 @@
 
 
+
+      
       
       
       
       <ul>
+
 
 
@@ -787,4 +991,6 @@
 
 
+
+      
       
       
@@ -794,4 +1000,6 @@
 
 
+
+    
     
     
@@ -801,4 +1009,6 @@
 
 
+
+  
   
   
@@ -808,8 +1018,10 @@
 
 
+
 </ul>
 
 
 
+
 <table style="width: 100%;" border="1" cellpadding="2" cellspacing="2">
 
@@ -817,9 +1029,12 @@
 
 
+
   <tbody>
 
 
 
-    <tr>
+
+    <tr>
+
 
 
@@ -829,9 +1044,12 @@
 
 
-    </tr>
-
-
-
-
+
+    </tr>
+
+
+
+
+
+  
   
   
@@ -842,5 +1060,7 @@
 
 
+
 <br>
+
 
 
@@ -856,12 +1076,16 @@
 
 
+
 </div>
 
 
 
+
 <ul>
 
 
 
+
+  
   
   
@@ -871,4 +1095,6 @@
 
 
+
+    
     
     
@@ -878,4 +1104,6 @@
 
 
+
+      
       
       
@@ -885,8 +1113,11 @@
 
 
+
         <li>execute the CMT setup:</li>
 
 
 
+
+      
       
       
@@ -896,4 +1127,6 @@
 
 
+
+    
     
     
@@ -903,4 +1136,6 @@
 
 
+
+  
   
   
@@ -910,17 +1145,22 @@
 
 
+
 </ul>
 
 
 
+
 <table style="text-align: left; width: 100%;" border="1" cellpadding="2" cellspacing="2">
 
 
 
+
   <tbody>
 
 
 
-    <tr>
+
+    <tr>
+
 
 
@@ -930,8 +1170,11 @@
 
 
-    </tr>
-
-
-
+
+    </tr>
+
+
+
+
+  
   
   
@@ -942,8 +1185,11 @@
 
 
+
 <ul>
 
 
 
+
+  
   
   
@@ -953,4 +1199,6 @@
 
 
+
+    
     
     
@@ -960,4 +1208,6 @@
 
 
+
+      
       
       
@@ -967,8 +1217,11 @@
 
 
+
         <li>&nbsp;Then, one needs to reconfigure the MEMPHYS environment using the CMT ad hoc command</li>
 
 
 
+
+      
       
       
@@ -978,4 +1231,6 @@
 
 
+
+    
     
     
@@ -985,4 +1240,6 @@
 
 
+
+  
   
   
@@ -992,17 +1249,22 @@
 
 
+
 </ul>
 
 
 
+
 <table style="text-align: left; width: 100%;" border="1" cellpadding="2" cellspacing="2">
 
 
 
+
   <tbody>
 
 
 
-    <tr>
+
+    <tr>
+
 
 
@@ -1012,16 +1274,21 @@
 
 
+
 UNIX&gt; cmt config<br>
 
 
 
+
 UNIX&gt; source setup.csh</td>
 
 
 
-    </tr>
-
-
-
+
+    </tr>
+
+
+
+
+  
   
   
@@ -1032,5 +1299,7 @@
 
 
+
 <br>
+
 
 
@@ -1042,13 +1311,17 @@
 
 
+
 <table style="text-align: left; width: 100%;" border="1" cellpadding="2" cellspacing="2">
 
 
 
+
   <tbody>
 
 
 
-    <tr>
+
+    <tr>
+
 
 
@@ -1058,28 +1331,36 @@
 
 
+
 UNIX&gt; cmt show path<br>
 
 
 
+
 # Add path /home/campagne/projets/OSArea from initialization<br>
 
 
 
+
 # Add path /home/campagne/kits/OpenScientist/v16r0 from ProjectPath<br>
 
 
 
+
 # Add path /home/campagne/CMTI from ProjectPath<br>
 
 
 
+
 # Add path /home/campagne/CMTI from ProjectPath</td>
 
 
 
-    </tr>
-
-
-
+
+    </tr>
+
+
+
+
+  
   
   
@@ -1090,17 +1371,22 @@
 
 
+
 Here it is shown that the <a href="#CMTPROJECTPATH">CMTPROJECTPATH</a> is well defined and that the different <a href="#cmtproject.cmt-1">project.cmt files</a> are correctly configurated. Then uses,<br>
 
 
 
+
 <table style="text-align: left; width: 100%;" border="1" cellpadding="2" cellspacing="2">
 
 
 
+
   <tbody>
 
 
 
-    <tr>
+
+    <tr>
+
 
 
@@ -1110,36 +1396,46 @@
 
 
+
 # use OpenScientist v16r0 Interfaces<br>
 
 
 
+
 # use ROOT v1r* Interfaces (native_version=4.03.02)<br>
 
 
 
+
 #<br>
 
 
 
+
 # Selection :<br>
 
 
 
+
 use CMT v1r18p20051108 (/home/campagne/kits)<br>
 
 
 
+
 use ROOT v1r51000p0 Interfaces (/home/campagne/CMTI/)<br>
 
 
 
+
 use OpenScientist v16r0 Interfaces (/home/campagne/CMTI/)</td>
 
 
 
-    </tr>
-
-
-
+
+    </tr>
+
+
+
+
+  
   
   
@@ -1150,12 +1446,16 @@
 
 
+
 to see if the<a href="#to_install_the_OpenScientist-CMT_"> OpenScientist and ROOT Interface packages</a> are found (this does not mean yet that the Interfaces are correctly tuned...)<br>
 
 
 
+
 <ul>
 
 
 
+
+  
   
   
@@ -1165,4 +1465,6 @@
 
 
+
+    
     
     
@@ -1172,4 +1474,6 @@
 
 
+
+      
       
       
@@ -1179,8 +1483,11 @@
 
 
+
         <li>If the above cross-checks are successfuly passed, then one can proceed to the compilation and the link: &nbsp;</li>
 
 
 
+
+      
       
       
@@ -1190,4 +1497,6 @@
 
 
+
+    
     
     
@@ -1197,4 +1506,6 @@
 
 
+
+  
   
   
@@ -1204,17 +1515,22 @@
 
 
+
 </ul>
 
 
 
+
 <table style="text-align: left; width: 100%;" border="1" cellpadding="2" cellspacing="2">
 
 
 
+
   <tbody>
 
 
 
-    <tr>
+
+    <tr>
+
 
 
@@ -1224,12 +1540,16 @@
 
 
+
 UNIX&gt; gmake</td>
 
 
 
-    </tr>
-
-
-
+
+    </tr>
+
+
+
+
+  
   
   
@@ -1240,25 +1560,32 @@
 
 
+
 <br>
 
 
 
+
 If the all the process of compilationand link is ok, then one should see the following lines:<br>
 
 
 
+
 <br>
 
 
 
+
 <table style="text-align: left; width: 100%;" border="1" cellpadding="2" cellspacing="2">
 
 
 
+
   <tbody>
 
 
 
-    <tr>
+
+    <tr>
+
 
 
@@ -1268,20 +1595,26 @@
 
 
+
 ------&gt; MEMPHYS_session ok<br>
 
 
 
+
 ------&gt; (constituents.make) MEMPHYS_session done<br>
 
 
 
+
 &nbsp;all ok.</td>
 
 
 
-    </tr>
-
-
-
+
+    </tr>
+
+
+
+
+  
   
   
@@ -1292,5 +1625,7 @@
 
 
+
 <br>
+
 
 
@@ -1302,25 +1637,32 @@
 
 
+
 <h2 style="color: rgb(51, 51, 255);"><a class="mozTocH2" name="mozTocId3450"></a>Simple runs</h2>
 
 
 
+
 Usually the user starts an UNIX session and want to run MEMPHYS. The two things to do are:<br>
 
 
 
+
 <br>
 
 
 
+
 <table style="text-align: left; width: 100%;" border="1" cellpadding="2" cellspacing="2">
 
 
 
+
   <tbody>
 
 
 
-    <tr>
+
+    <tr>
+
 
 
@@ -1330,20 +1672,26 @@
 
 
+
 2) execute the MEMPHYS setup (no more necessary to run "cmt config"):<br>
 
 
 
+
 UNIX&gt; cd &lt;personal-area&gt;/OSArea/MEMPHYS/&lt;versioin&gt;/cmt<br>
 
 
 
+
 UNIX&gt; source setup.csh</td>
 
 
 
-    </tr>
-
-
-
+
+    </tr>
+
+
+
+
+  
   
   
@@ -1354,25 +1702,32 @@
 
 
+
 <br>
 
 
 
+
 The directory hierarchy of the MEMPHYS package is the following:<br>
 
 
 
+
 <br>
 
 
 
+
 <table style="text-align: left; background-color: rgb(255, 255, 102); width: 100%;" border="1" cellpadding="2" cellspacing="2">
 
 
 
+
   <tbody>
 
 
 
-    <tr>
+
+    <tr>
+
 
 
@@ -1382,13 +1737,17 @@
 
 
+
       <td>source Core directory</td>
 
 
 
-    </tr>
-
-
-
-    <tr>
+
+    </tr>
+
+
+
+
+    <tr>
+
 
 
@@ -1398,13 +1757,17 @@
 
 
+
       <td>source files where the <span style="font-style: italic;">main</span> steering routine is defined</td>
 
 
 
-    </tr>
-
-
-
-    <tr>
+
+    </tr>
+
+
+
+
+    <tr>
+
 
 
@@ -1414,13 +1777,17 @@
 
 
+
       <td>include files of the Core</td>
 
 
 
-    </tr>
-
-
-
-    <tr>
+
+    </tr>
+
+
+
+
+    <tr>
+
 
 
@@ -1430,13 +1797,17 @@
 
 
+
       <td>directory where the CMT management files are located (requirements, setup/cleanup)</td>
 
 
 
-    </tr>
-
-
-
-    <tr>
+
+    </tr>
+
+
+
+
+    <tr>
+
 
 
@@ -1446,17 +1817,22 @@
 
 
+
       <td>event file directory. NUANCE style is used to code the primary vertex particles</td>
 
 
 
-    </tr>
-
-
-
-    <tr>
+
+    </tr>
+
+
+
+
+    <tr>
+
 
 
 
       <td>run</td>
+
 
 
@@ -1469,9 +1845,12 @@
 
 
-    </tr>
-
-
-
-    <tr>
+
+    </tr>
+
+
+
+
+    <tr>
+
 
 
@@ -1481,12 +1860,16 @@
 
 
+
       <td>Geant4 and OpenScientist scripts</td>
 
 
 
-    </tr>
-
-
-
+
+    </tr>
+
+
+
+
+  
   
   
@@ -1497,25 +1880,32 @@
 
 
+
 <br>
 
 
 
+
 <h3><a class="mozTocH3" name="mozTocId327975"></a>Interactive session</h3>
 
 
 
+
 In an interactive session the tuple generation is desable and one starts as followed:<br>
 
 
 
+
 <table style="text-align: left; width: 100%;" border="1" cellpadding="2" cellspacing="2">
 
 
 
+
   <tbody>
 
 
 
-    <tr>
+
+    <tr>
+
 
 
@@ -1525,12 +1915,16 @@
 
 
+
 UNIX&gt; ../$CMTCONFIG/MEMPHYS_session.exe</td>
 
 
 
-    </tr>
-
-
-
+
+    </tr>
+
+
+
+
+  
   
   
@@ -1541,5 +1935,7 @@
 
 
+
 &nbsp;<br>
+
 
 
@@ -1552,15 +1948,22 @@
 
 
+
 <img style="width: 858px; height: 734px;" alt="image" src="Images/numuEvent.jpg"> <br>
+
 <br>
+
 One can visualize the "Hits" using the MEMPHYS menu, although it is
 then useful to use the zoom by using CTRL-Shift + drag the mouse in the
 ("Hand mode" see right icons).<br>
+
 <br>
+
 <img style="width: 858px; height: 734px;" alt="Image" src="Images/numuEventHit.jpg"><br>
 
 
 
+
 <br>
+
 
 
@@ -1572,5 +1975,7 @@
 
 
+
 <h3><a class="mozTocH3" name="mozTocId967005"></a>Batch mode</h3>
+
 
 
@@ -1583,25 +1988,32 @@
 
 
+
 <ul>
 
 
 
+
   <li>&nbsp;either using &nbsp;compilated AIDA code (<span style="font-style: italic; color: rgb(255, 0, 0);">MEMPHYS_analysis_aida_ROOT.exe</span>, <span style="font-style: italic; color: rgb(255, 0, 0);">MEMPHYS_analysis_ROOT.exe</span>) generated by compiling as:&nbsp;</li>
 
 
 
+
 </ul>
 
 
 
+
 <table style="text-align: left; width: 100%;" border="1" cellpadding="2" cellspacing="2">
 
 
 
+
   <tbody>
 
 
 
-    <tr>
+
+    <tr>
+
 
 
@@ -1611,12 +2023,16 @@
 
 
+
 UNIX&gt; (cd ../cmt ; gmake ROOT)</td>
 
 
 
-    </tr>
-
-
-
+
+    </tr>
+
+
+
+
+  
   
   
@@ -1627,49 +2043,62 @@
 
 
+
 &nbsp;&nbsp; <br>
 
 
 
+
 &nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp; The difference between the two applications are XXX &nbsp;&nbsp;&nbsp; <br>
 
 
 
+
 <ul>
 
 
 
+
   <li>either using interactive OnX session ()</li>
 
 
 
+
 </ul>
 
 
 
+
 <ul>
 
 
 
+
   <li>or&nbsp;using the ROOT toolkit using the <span style="font-style: italic; color: rgb(255, 0, 0);">MEMPHYS_xxx.C</span> macros</li>
 
 
 
+
 </ul>
 
 
 
+
 The structure of the tuple for the moment is the following:<br>
 
 
 
+
 <table style="text-align: left; width: 100%;" border="1" cellpadding="2" cellspacing="2">
 
 
 
+
   <tbody>
 
 
 
-    <tr>
+
+    <tr>
+
 
 
@@ -1679,13 +2108,17 @@
 
 
+
 &nbsp; column += "ITuple vtxPos = { double x, y, z }, ";<br>
 
 
 
+
 &nbsp; column += "int nPart, leptonIndex, protonIndex, ";<br>
 
 
 
+
 &nbsp; column += "ITuple track = { int pId, parent, float timeStart, ";<br>
+
 
 
@@ -1697,4 +2130,5 @@
 
 
+
 &nbsp; column
 +=&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -1703,4 +2137,5 @@
 
 
+
 &nbsp; column
 +=&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -1709,4 +2144,5 @@
 
 
+
 &nbsp; column
 +=&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -1715,4 +2151,5 @@
 
 
+
 &nbsp; column
 +=&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -1721,4 +2158,5 @@
 
 
+
 &nbsp; column
 +=&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -1727,24 +2165,31 @@
 
 
+
 &nbsp; column +=&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; "}, ";<br>
 
 
 
+
 &nbsp; column += "int nHits, ITuple hit = { int tubeId, int totalPE, ITuple pe = { float time} }, ";<br>
 
 
 
+
 &nbsp; column += "int nDigits, double sumPE, ";<br>
 
 
 
+
 &nbsp; column += "ITuple digit = { int tubeId, double pe, time }";</td>
 
 
 
-    </tr>
-
-
-
+
+    </tr>
+
+
+
+
+  
   
   
@@ -1755,8 +2200,10 @@
 
 
+
 <br>
 
 
 
+
 <br>
 
@@ -1764,3 +2211,5 @@
 
 
-</body></html>
+
+</body>
+</html>